Package com.xebialabs.xlrelease.utils

# Class Graph$

java.lang.Object
com.xebialabs.xlrelease.utils.Graph$

All Implemented Interfaces:
  `grizzled.slf4j.Logging`, `Serializable`

public class Graph$ extends Object implements grizzled.slf4j.Logging, Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Graph$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Graph$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<A> Graph<A>`
  `apply(scala.collection.immutable.Set<Graph.Edge<A>> edges)`
  `<A> Graph<A>`
  `apply(scala.collection.Iterable<Graph.Edge<A>> edges)`
  `<A> scala.util.Either<Graph.DFS<A,scala.runtime.BoxedUnit>,scala.collection.immutable.List<A>>`
  `sort(Graph<A> graph)`
  `<A> scala.Option<scala.collection.immutable.Set<Graph.Edge<A>>>`
  `unapply(Graph<A> x$0)`
  `<A, B> Graph.DFS<A,B>`
  `walk(Graph<A> graph, B z, scala.Function2<Graph.DFS<A,B>,A,B> f)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface grizzled.slf4j.Logging

  `debug, debug, debug, error, error, error, grizzled$slf4j$Logging$$_logger, info, info, info, isDebugEnabled, isErrorEnabled, isInfoEnabled, isTraceEnabled, isWarnEnabled, logger, loggerName, trace, trace, trace, warn, warn, warn`

- ## Field Details

  - ### MODULE$

    public static final Graph$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### Graph$

    public Graph$()

- ## Method Details

  - ### apply

    public <A> Graph<A> apply(scala.collection.Iterable<Graph.Edge<A>> edges)

  - ### sort

    public <A> scala.util.Either<Graph.DFS<A,scala.runtime.BoxedUnit>,scala.collection.immutable.List<A>> sort(Graph<A> graph)

  - ### walk

    public <A, B> Graph.DFS<A,B> walk(Graph<A> graph, B z, scala.Function2<Graph.DFS<A,B>,A,B> f)

  - ### apply

    public <A> Graph<A> apply(scala.collection.immutable.Set<Graph.Edge<A>> edges)

  - ### unapply

    public <A> scala.Option<scala.collection.immutable.Set<Graph.Edge<A>>> unapply(Graph<A> x$0)